<?php

namespace dgsoft\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for OTA_VehRateRuleRSLocationDetails StructType
 * @package Dg
 * @subpackage Structs
 */
class DgOTA_VehRateRuleRSLocationDetails extends DgVehicleLocationDetailsType
{
    /**
     * The DropOffIndicator
     * @var bool
     */
    public $DropOffIndicator;
    /**
     * Constructor method for OTA_VehRateRuleRSLocationDetails
     * @uses DgOTA_VehRateRuleRSLocationDetails::setDropOffIndicator()
     * @param bool $dropOffIndicator
     */
    public function __construct($dropOffIndicator = null)
    {
        $this
            ->setDropOffIndicator($dropOffIndicator);
    }
    /**
     * Get DropOffIndicator value
     * @return bool|null
     */
    public function getDropOffIndicator()
    {
        return $this->DropOffIndicator;
    }
    /**
     * Set DropOffIndicator value
     * @param bool $dropOffIndicator
     * @return \dgsoft\StructType\DgOTA_VehRateRuleRSLocationDetails
     */
    public function setDropOffIndicator($dropOffIndicator = null)
    {
        // validation for constraint: boolean
        if (!is_null($dropOffIndicator) && !is_bool($dropOffIndicator)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a bool, "%s" given', gettype($dropOffIndicator)), __LINE__);
        }
        $this->DropOffIndicator = $dropOffIndicator;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \dgsoft\StructType\DgOTA_VehRateRuleRSLocationDetails
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
